Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcFileFind Class Reference

Used to search for files on disk and/or inside CFL files, using wildcard matches. More...

List of all members.

## Public Member Functions
XFCIMPORT | ~XFcFileFind ()
| Destructor.
XFCIMPORT const CHAR * | next ()
| Returns next string, or NULL if there is no more files.
## Static Public Member Functions
XFCIMPORT XFcFileFind * | create (const CHAR *aFileMask, INT32 aFlags=XFCFF_DISK|XFCFF_CFL|XFCFF_REMOVEDUPLICATES)
| Creates a XFcFileFind object.
## Protected Member Functions
const CHAR * | nextFilenameDisk ()
| Returns the next (non-directory) file on disk.
const CHAR * | nextFilenameCFL ()
| Returns the next filename in resource directory, or NULL if there is no more entries.
const CHAR * | nextFilename ()
| Returns the next filename.
void | initFileFindDisk ()
| Initializes disk file finding.
void | initFileFindCFL ()
| Initializes resource file directory file finding.
void | closeFileFindDisk ()
| Cleans up after disk file finding.
| XFcFileFind ()
| Protected constructor.
## Protected Attributes
void * | mCurrentCFLEntry
| Pointer to resource file directory.
INT32 | mFlags
| Flags passed to create-method.
void * | mDiskFindHandle
| Platform specific handle to file finding interface.
const CHAR * | mFileMask
| The wildcard file matching mask passed to create-method.

## Detailed Description

Used to search for files on disk and/or inside CFL files, using wildcard matches.

## Constructor & Destructor Documentation

XFCIMPORT XFcFileFind::~XFcFileFind | ( |  | ) |

| Destructor.

XFcFileFind::XFcFileFind | ( |  | ) | `[protected]`

| Protected constructor.

## Member Function Documentation

void XFcFileFind::closeFileFindDisk | ( |  | ) | `[protected]`

| Cleans up after disk file finding.

XFCIMPORT XFcFileFind* XFcFileFind::create | ( | const CHAR * | aFileMask,
|  | INT32 | aFlags = XFCFF_DISK|XFCFF_CFL|XFCFF_REMOVEDUPLICATES
| ) | `[static]`

  | Creates a XFcFileFind object. Default flags search everywhere and removes duplicates (e.g. same file may be found in CFL and disk), but does not ignore case. Parameters:
  aFileMask | Wildcard file matching mask, for example XFCSTR("file*.dat").
  aFlags | File finding flags.
See also: XFCFILEFINDFLAGS

void XFcFileFind::initFileFindCFL | ( |  | ) | `[protected]`

| Initializes resource file directory file finding.

void XFcFileFind::initFileFindDisk | ( |  | ) | `[protected]`

| Initializes disk file finding.

XFCIMPORT const CHAR* XFcFileFind::next | ( |  | ) |

| Returns next string, or NULL if there is no more files. Note: Pointer is valid until the next next() call (or destruction). Remember to delete the XFcFileFind object once you're done.

const CHAR* XFcFileFind::nextFilename | ( |  | ) | `[protected]`

| Returns the next filename. Tries to find file first from CFL directory and then from disk. Note: Removes duplicates if required. Returns: Next filename or NULL if no more files found.

const CHAR* XFcFileFind::nextFilenameCFL | ( |  | ) | `[protected]`

| Returns the next filename in resource directory, or NULL if there is no more entries.

const CHAR* XFcFileFind::nextFilenameDisk | ( |  | ) | `[protected]`

| Returns the next (non-directory) file on disk.

## Member Data Documentation

void* XFcFileFind::mCurrentCFLEntry`[protected]`

| Pointer to resource file directory.

void* XFcFileFind::mDiskFindHandle`[protected]`

| Platform specific handle to file finding interface.

const CHAR* XFcFileFind::mFileMask`[protected]`

| The wildcard file matching mask passed to create-method.

INT32 XFcFileFind::mFlags`[protected]`

| Flags passed to create-method. See also: XFCFILEFINDFLAGS

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch